Opened 11 years ago

Closed 11 years ago

Last modified 3 years ago

#654 closed Enhancement (fixed)

change opa9.driver and opa9.card to do Interannual run with PeriodLength != 1

Reported by: flavoni Owned by: nemo
Priority: low Milestone:
Component: OCE Version: release-3.2
Severity: Keywords: libIGCM
Cc: Review:
MP ready?:
Progress:

Description (last modified by flavoni)

Change of opa9.card and opa9.driver to have possibility to do interannual run with Period Length? > 1Y
And added the fact that libIGCM can use opa's possibility to do interannual run even if the previous and successive years are not present (in fldread).

Commit History (3)

ChangesetAuthorTimeChangeLog
1825flavoni2010-04-02T16:29:27+02:00

added new variable to solve bug for interannual run,(run package of years in one time), see ticket: #654

1823flavoni2010-03-29T12:05:17+02:00

corrected bug of cut&paste: yp1 instead of ym1 in opa9.driver, see ticket: #654

1811flavoni2010-03-19T15:35:07+01:00

change of opa9.driver and opa9.card to do Interannual run with Period Length? != 1, see ticket: #654

Change History (9)

comment:1 Changed 11 years ago by flavoni

  • Resolution set to fixed
  • Status changed from new to closed

comment:2 Changed 11 years ago by flavoni

  • Resolution fixed deleted
  • Status changed from closed to reopened

Introduced new variable (Period Init Year?) to compute start year of every sub-block computation (for every group of Period Length?)

& also changed variable name to be coherent with current nomenclature
from final_year into Period Final Year?

(( Period Init Year? =${Init Year?} + ${Period Cumul Period?}*${Period Length In Years?} ))
(( Period Final Year? =${Init Year?} + ${Period Length In Years?}*${Cumul Period?} - 1 ))

comment:3 Changed 11 years ago by flavoni

  • Description modified (diff)
  • Resolution set to fixed
  • Status changed from reopened to closed

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords develoments libIGCM added

comment:5 Changed 4 years ago by nicolasmartin

  • Keywords developments added; develoments removed

comment:6 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_2* added

comment:7 Changed 4 years ago by nicolasmartin

  • Milestone libIGCM development deleted

Milestone libIGCM development deleted

comment:8 Changed 4 years ago by nicolasmartin

  • Keywords developments removed

comment:9 Changed 3 years ago by nemo

  • Keywords nemo_v3_2* removed
Note: See TracTickets for help on using tickets.